#include <iostream>
#include <vector>
using namespace std;

int main(){
	int n, broj, q;
	cin >> n;
	vector<int> a;
	for(int i = 0; i < n; i++){
		cin >> broj;
		a.push_back(broj);
	}
	
	cin >> q;
	int l, r;
	for(int i = 0; i < q; i++){
		cin >> l >> r;
		bool jeste = true;
		if(l!=r){
			for(int j = l-1; j < r-1; j++){
				if(a[j]>a[j+1]){
					jeste = false;
					break;
				}
					
			}
		}
		if(jeste)
			cout << "DA\n";
		else cout << "NE\n";
	}
}